request_body_param_converter:
    path:     /body-converter
    defaults: { _controller: TestBundle:RequestBodyParamConverter:putPost }

test_serializer_error_exception:
    path:     /serializer-error/exception.{_format}
    defaults: { _controller: TestBundle:SerializerError:logicException }

test_serializer_unknown_exception:
    path:     /serializer-error/unknown_exception.{_format}
    defaults: { _controller: TestBundle:SerializerError:unknownException }

test_serializer_error_invalid_form:
    path:     /serializer-error/invalid-form.{_format}
    defaults: { _controller: TestBundle:SerializerError:invalidForm }

test_version2:
    path: /version
    defaults: { _controller: TestBundle:Version:version }
    requirements:
        version: 2.1|3.4.2|2.3

test_param_fetcher:
    path:     /params
    defaults: { _controller: TestBundle:ParamFetcher:params }

test_param_fetcher_test:
    path:     /params/test
    defaults: { _controller: TestBundle:ParamFetcher:test }

test_view_response_listener:
    resource: FOS\RestBundle\Tests\Functional\Bundle\TestBundle\Controller\ArticleController
    type:     rest

test_redirect_endpoint:
    path:     /hello/{name}
    defaults: { _controller: TestBundle:Article:redirect }

test_allowed_methods1:
    path:     /allowed-methods
    methods: ['GET', 'LOCK']
    defaults: { _controller: TestBundle:AllowedMethods:index }

test_allowed_methods2:
    path:     /allowed-methods
    methods: ['POST', 'PUT']
    defaults: { _controller: TestBundle:AllowedMethods:index }
